=== debian/changelog ===
exiv2 (0.19-3) unstable; urgency=low

  * Drop upstream Nikon fixes; partial patch breaks image display
    - Reopen: #579835 - not fixed
    - changeset 2017-2020 

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 08:22:09 +1000

exiv2 (0.19-2) unstable; urgency=low

  * Backport upstream Nikon Makernote regression fix (Closes: #579835)
    - changeset 2017-2020
  * source/format -> 3.0 (quilt)
  * Drop inactive Uploaders
  * Standards-Version: 3.8.3 - no changes
  * debian/rules Added dh --parallel

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jun 2010 11:46:28 +1000

exiv2 (0.19-1) unstable; urgency=low

  * New upstream release 
    - TIFF performance improvement and Nikon updates
  * NEW package libexiv2-6 - soname bump

 -- Mark Purcell <msp@debian.org>  Fri, 01 Jan 2010 11:42:13 +1100

exiv2 (0.18.2-1) unstable; urgency=low

  * New upstream release
    - Bugfix release

  [Ryan Kavanagh]

  * Add lintian overrides:
    - libexiv2-dev: extended-description-is-probably-too-short
  * Fix a typo in README.Debian (s/enviroment/environment/)
  * Fix hyphens as minus signs in the manpage, 00_hyphens_used_as_minus.diff

  [Fathi Boudra]

  * Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed)
  * Add quilt build dependency
  * Remove cdbs build dependency - use dh and rewrite debian/rules

 -- Fathi Boudra <fabo@debian.org>  Thu, 09 Jul 2009 18:50:32 -0400

exiv2 (0.18.1-1) unstable; urgency=low

  * New upstream release
    - (Closes: #525535): "[libexiv2-5] New upstream version 0.18.1"
    - write-support for Adobe Photoshop PSD images
    - read-support for Panasonic RW2 images
    - Panasonic and Nikon makernote update
  * Upload to unstable - discussed on debian-release
    - libexiv2-5 library transition
  * Fix: package-lacks-versioned-build-depends-on-debhelper
  * Add ${misc:Depends}

 -- Mark Purcell <msp@debian.org>  Wed, 29 Apr 2009 21:53:40 +1000

exiv2 (0.18-1) experimental; urgency=low

  * New upstream release
    - Closes: #426274 - "Setting "Exif.Image.DateTime Date" error"
    - Closes: #505023 - "FTBFS with GCC 4.4: missing #include" 

 -- Mark Purcell <msp@debian.org>  Fri, 19 Dec 2008 07:39:10 +1100

exiv2 (0.18~pre2-1) experimental; urgency=low

  * New upstream release
  * NEW package libexiv2-5 - match upstream soname
  * Update Standards Version 3.8.0 - no changes

 -- Mark Purcell <msp@debian.org>  Sat, 08 Nov 2008 10:46:51 +1100
