=== samples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1937 $
+# Version:   $Rev: 2045 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   08-Oct-07, ahu: created
 #
@@ -70,6 +70,7 @@
          prevtest.cpp         \
          stringto-test.cpp    \
          tiff-test.cpp        \
+         werror-test.cpp      \
          write-test.cpp       \
          write2-test.cpp      \
          xmpparse.cpp         \
