=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2009 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2010 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 1937 $
+# Version:   $Rev: 2241 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -59,60 +59,60 @@
 # Source files
 
 # Add standalone C++ header files to this list
-CCHDR =  exv_conf.h           \
-         exv_msvc.h           \
-         mn.hpp               \
-         rcsid.hpp            \
+CCHDR =  exv_conf.h            \
+         exv_msvc.h            \
+         mn.hpp                \
+         rcsid.hpp             \
          version.hpp
 
 # Add library C++ source files to this list
-CCSRC =  basicio.cpp          \
-	 bmpimage.cpp         \
-	 canonmn.cpp          \
-	 convert.cpp          \
-	 cr2image.cpp         \
-	 crwimage.cpp         \
-	 datasets.cpp         \
-	 easyaccess.cpp       \
-	 error.cpp            \
-	 exif.cpp             \
-	 futils.cpp           \
-	 fujimn.cpp           \
-	 gifimage.cpp         \
-	 image.cpp            \
-	 iptc.cpp             \
-	 jp2image.cpp         \
-	 jpgimage.cpp         \
-	 makernote.cpp        \
-	 metadatum.cpp        \
-	 minoltamn.cpp        \
-	 mrwimage.cpp         \
-	 nikonmn.cpp          \
-	 olympusmn.cpp        \
-	 orfimage.cpp         \
-	 panasonicmn.cpp      \
+CCSRC =  basicio.cpp           \
+	 bmpimage.cpp          \
+	 canonmn.cpp           \
+	 convert.cpp           \
+	 cr2image.cpp          \
+	 crwimage.cpp          \
+	 datasets.cpp          \
+	 easyaccess.cpp        \
+	 error.cpp             \
+	 exif.cpp              \
+	 futils.cpp            \
+	 fujimn.cpp            \
+	 gifimage.cpp          \
+	 image.cpp             \
+	 iptc.cpp              \
+	 jp2image.cpp          \
+	 jpgimage.cpp          \
+	 makernote.cpp         \
+	 metadatum.cpp         \
+	 minoltamn.cpp         \
+	 mrwimage.cpp          \
+	 nikonmn.cpp           \
+	 olympusmn.cpp         \
+	 orfimage.cpp          \
+	 panasonicmn.cpp       \
 	 pgfimage.cpp
 ifdef HAVE_LIBZ
-CCSRC += pngimage.cpp         \
+CCSRC += pngimage.cpp          \
 	 pngchunk.cpp
 endif
-CCSRC += preview.cpp          \
-	 properties.cpp       \
-	 psdimage.cpp         \
-	 rafimage.cpp         \
-	 rw2image.cpp         \
-	 sigmamn.cpp          \
-	 pentaxmn.cpp         \
-	 sonymn.cpp           \
-	 tags.cpp             \
-	 tgaimage.cpp         \
-	 tiffcomposite.cpp    \
-	 tiffimage.cpp        \
-	 tiffvisitor.cpp      \
-	 types.cpp            \
-	 value.cpp            \
-	 version.cpp          \
-	 xmp.cpp              \
+CCSRC += preview.cpp           \
+	 properties.cpp        \
+	 psdimage.cpp          \
+	 rafimage.cpp          \
+	 rw2image.cpp          \
+	 sigmamn.cpp           \
+	 pentaxmn.cpp          \
+	 sonymn.cpp            \
+	 tags.cpp              \
+	 tgaimage.cpp          \
+	 tiffcomposite.cpp     \
+	 tiffimage.cpp         \
+	 tiffvisitor.cpp       \
+	 types.cpp             \
+	 value.cpp             \
+	 version.cpp           \
+	 xmp.cpp               \
 	 xmpsidecar.cpp
 
 # Add library C source files to this list
