=== debian/changelog ===
exiv2 (0.20-2) unstable; urgency=low

  * Upload to unstable - cleared with debian-release

 -- Mark Purcell <msp@debian.org>  Fri, 09 Jul 2010 19:43:59 +1000

exiv2 (0.20-1) experimental; urgency=low

  * New upstream release
    - NEW package libexiv2-9 - soname bump
    - Makernote updates
    - Nikon performance improvement (Closes: #579835)

  [ Michal Čihař ]
  * Add -dbg package (Closes: #557088)

  [ Mark Purcell ]
  * Siwtch to source/format = 3.0 (quilt)
  * debian/control switch to '-' bullet marker (Closes: #564326) 
  * Dropped fuji from Maintainers - inactive
  * Simplify get-orig-source target - uscan

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 14:45:46 +1000
